Home

Injective Chain - Legacy REST and gRPC Gateway docs

v1.0.0
Base URL
https://inj.nownodes.io

A REST interface for state queries, legacy transactions

Authentication

api-keyAuthapiKey

API Key: api-key in header

API Reference

Exchange

GET
https://inj.nownodes.io/injective/exchange/v1beta1/atomic_order_fee_multiplier

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringquery

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves mismatches between available vs. total balance

GET
https://inj.nownodes.io/injective/exchange/v1beta1/balance_mismatches/{dust_factor}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

dust_factorstring<int64>requiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves available and total balances with balance holds

GET
https://inj.nownodes.io/injective/exchange/v1beta1/balances_with_balance_holds

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves a spot market's orderbook by marketID

GET
https://inj.nownodes.io/injective/exchange/v1beta1/binary_options/markets

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

statusstringquery

Status of the market, for convenience it is set to string - not enum.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves a derivative market's corresponding address for fees that contribute to the market's insurance fund

GET
https://inj.nownodes.io/injective/exchange/v1beta1/derivative/market_address/{market_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringrequiredpath

Market ID for the market

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves a list of derivative markets.

GET
https://inj.nownodes.io/injective/exchange/v1beta1/derivative/markets

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

statusstringquery

Status of the market, for convenience it is set to string - not enum.

market_idsArray<string>query

Filter by market IDs.

with_mid_price_and_tobbooleanquery

Flag to return the markets mid price and top of the book buy and sell orders.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves a derivative market by ticker

GET
https://inj.nownodes.io/injective/exchange/v1beta1/derivative/markets/{market_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringrequiredpath

Market ID for the market

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves a derivative market's mid-price

GET
https://inj.nownodes.io/injective/exchange/v1beta1/derivative/mid_price_and_tob/{market_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringrequiredpath

Market ID for the market

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves a derivative market's orderbook by marketID

GET
https://inj.nownodes.io/injective/exchange/v1beta1/derivative/orderbook/{market_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringrequiredpath

Market ID for the market

limitstring<uint64>query
limit_cumulative_notionalstringquery

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves a trader's derivative conditional orders

GET
https://inj.nownodes.io/injective/exchange/v1beta1/derivative/orders/conditional/{market_id}/{subaccount_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringrequiredpath
subaccount_idstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves all account address derivative orders

GET
https://inj.nownodes.io/injective/exchange/v1beta1/derivative/orders/{market_id}/account/{account_address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringrequiredpath

Market ID for the market

account_addressstringrequiredpath

Account address of the trader

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves a trader's derivative orders

GET
https://inj.nownodes.io/injective/exchange/v1beta1/derivative/orders/{market_id}/{subaccount_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringrequiredpath

Market ID for the market

subaccount_idstringrequiredpath

SubaccountID of the trader

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves a trader's derivative orders

GET
https://inj.nownodes.io/injective/exchange/v1beta1/derivative/orders_by_hashes/{market_id}/{subaccount_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringrequiredpath

Market ID for the market

subaccount_idstringrequiredpath

SubaccountID of the trader

order_hashesArray<string>query

the order hashes.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves a trader's transient derivative orders

GET
https://inj.nownodes.io/injective/exchange/v1beta1/derivative/transient_orders/{market_id}/{subaccount_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringrequiredpath

Market ID for the market

subaccount_idstringrequiredpath

SubaccountID of the trader

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves subaccount's position in market

GET
https://inj.nownodes.io/injective/exchange/v1beta1/effective_positions/{subaccount_id}/{market_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

subaccount_idstringrequiredpath
market_idstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves the aggregate volume for the specified market

GET
https://inj.nownodes.io/injective/exchange/v1beta1/exchange/aggregateMarketVolume/{market_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves the aggregate market volumes for specified markets

GET
https://inj.nownodes.io/injective/exchange/v1beta1/exchange/aggregateMarketVolumes

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idsArray<string>query

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves the aggregate volumes for the specified account or subaccount

GET
https://inj.nownodes.io/injective/exchange/v1beta1/exchange/aggregateVolume/{account}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

accountstringrequiredpath

can either be an address or a subaccount

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves the aggregate volumes for specified accounts

GET
https://inj.nownodes.io/injective/exchange/v1beta1/exchange/aggregateVolumes

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

accountsArray<string>query
market_idsArray<string>query

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves the denom decimals for a denom.

GET
https://inj.nownodes.io/injective/exchange/v1beta1/exchange/denom_decimal/{denom}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

denomstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves the denom decimals for multiple denoms. Returns all denom decimals if unspecified.

GET
https://inj.nownodes.io/injective/exchange/v1beta1/exchange/denom_decimals

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

denomsArray<string>query

denoms can be empty to query all denom decimals.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves all of the balances of all users on the exchange.

GET
https://inj.nownodes.io/injective/exchange/v1beta1/exchange/exchangeBalances

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves a Subaccount's Deposits

GET
https://inj.nownodes.io/injective/exchange/v1beta1/exchange/subaccountDeposit

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

subaccount_idstringquery
denomstringquery

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves a Subaccount's Deposits

GET
https://inj.nownodes.io/injective/exchange/v1beta1/exchange/subaccountDeposits

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

subaccount_idstringquery
subaccount.traderstringquery
subaccount.subaccount_nonceinteger<int64>query

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves a subaccount's trade nonce

GET
https://inj.nownodes.io/injective/exchange/v1beta1/exchange/{subaccount_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

subaccount_idstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves exchange params

GET
https://inj.nownodes.io/injective/exchange/v1beta1/exchangeParams

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves expiry market info

GET
https://inj.nownodes.io/injective/exchange/v1beta1/expiry_market_info/{market_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves the account's fee discount info

GET
https://inj.nownodes.io/injective/exchange/v1beta1/fee_discount_account_info/{account}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

accountstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves the fee discount schedule

GET
https://inj.nownodes.io/injective/exchange/v1beta1/fee_discount_schedule

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves fee discount tier stats

GET
https://inj.nownodes.io/injective/exchange/v1beta1/fee_discount_tier_stats

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves historical trade records for a given market ID

GET
https://inj.nownodes.io/injective/exchange/v1beta1/historical_trade_records

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringquery

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves if the account is opted out of rewards

GET
https://inj.nownodes.io/injective/exchange/v1beta1/is_opted_out_of_rewards/{account}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

accountstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

MarketVolatility computes the volatility for spot and derivative markets trading history.

GET
https://inj.nownodes.io/injective/exchange/v1beta1/market_volatility/{market_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringrequiredpath
trade_history_options.trade_grouping_secstring<uint64>query

TradeGroupingSec of 0 means use the chain's default grouping.

trade_history_options.max_agestring<uint64>query

MaxAge restricts the trade records oldest age in seconds from the current block time to consider. A value of 0 means use all the records present on the chain.

trade_history_options.include_raw_historybooleanquery

If IncludeRawHistory is true, the raw underlying data used for the computation is included in the response.

trade_history_options.include_metadatabooleanquery

If IncludeMetadata is true, metadata on the computation is included in the response.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves market making pool info

GET
https://inj.nownodes.io/injective/exchange/v1beta1/mito_vault_infos

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves the entire exchange module's state

GET
https://inj.nownodes.io/injective/exchange/v1beta1/module_state

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves all accounts opted out of rewards

GET
https://inj.nownodes.io/injective/exchange/v1beta1/opted_out_of_rewards_accounts

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves subaccount's order metadata

GET
https://inj.nownodes.io/injective/exchange/v1beta1/order_metadata/{subaccount_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

subaccount_idstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves subaccount's orders

GET
https://inj.nownodes.io/injective/exchange/v1beta1/orders/{subaccount_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

subaccount_idstringrequiredpath
market_idstringquery

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves the pending account and total trade rewards points

GET
https://inj.nownodes.io/injective/exchange/v1beta1/pending_trade_reward_points

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

accountsArray<string>query
pending_pool_timestampstring<int64>query

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves perpetual market funding

GET
https://inj.nownodes.io/injective/exchange/v1beta1/perpetual_market_funding/{market_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves perpetual market info

GET
https://inj.nownodes.io/injective/exchange/v1beta1/perpetual_market_info/{market_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves the entire exchange module's positions

GET
https://inj.nownodes.io/injective/exchange/v1beta1/positions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves subaccount's positions

GET
https://inj.nownodes.io/injective/exchange/v1beta1/positions/{subaccount_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

subaccount_idstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves subaccount's position in market

GET
https://inj.nownodes.io/injective/exchange/v1beta1/positions/{subaccount_id}/{market_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

subaccount_idstringrequiredpath
market_idstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves a spot market with extra information.

GET
https://inj.nownodes.io/injective/exchange/v1beta1/spot/full_market/{market_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringrequiredpath

Market ID for the market

with_mid_price_and_tobbooleanquery

Flag to return the markets mid price and top of the book buy and sell orders.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves a list of spot markets with extra information.

GET
https://inj.nownodes.io/injective/exchange/v1beta1/spot/full_markets

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

statusstringquery

Status of the market, for convenience it is set to string - not enum.

market_idsArray<string>query

Filter by market IDs.

with_mid_price_and_tobbooleanquery

Flag to return the markets mid price and top of the book buy and sell orders.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves a list of spot markets.

GET
https://inj.nownodes.io/injective/exchange/v1beta1/spot/markets

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

statusstringquery

Status of the market, for convenience it is set to string - not enum.

market_idsArray<string>query

Filter by market IDs.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves a spot market by ticker

GET
https://inj.nownodes.io/injective/exchange/v1beta1/spot/markets/{market_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringrequiredpath

Market ID for the market

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves a spot market's mid-price

GET
https://inj.nownodes.io/injective/exchange/v1beta1/spot/mid_price_and_tob/{market_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringrequiredpath

Market ID for the market

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves a spot market's orderbook by marketID

GET
https://inj.nownodes.io/injective/exchange/v1beta1/spot/orderbook/{market_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringrequiredpath

Market ID for the market

limitstring<uint64>query
order_sidestringSide_UnspecifiedBuySellSide_Unspecifiedquery
  • Side_Unspecified: will return both
limit_cumulative_notionalstringquery
limit_cumulative_quantitystringquery

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves all account address spot orders

GET
https://inj.nownodes.io/injective/exchange/v1beta1/spot/orders/{market_id}/account/{account_address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringrequiredpath

Market ID for the market

account_addressstringrequiredpath

Account address of the trader

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves a trader's spot orders

GET
https://inj.nownodes.io/injective/exchange/v1beta1/spot/orders/{market_id}/{subaccount_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringrequiredpath

Market ID for the market

subaccount_idstringrequiredpath

SubaccountID of the trader

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves spot orders corresponding to specified order hashes for a given subaccountID and marketID

GET
https://inj.nownodes.io/injective/exchange/v1beta1/spot/orders_by_hashes/{market_id}/{subaccount_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringrequiredpath

Market ID for the market

subaccount_idstringrequiredpath

SubaccountID of the trader

order_hashesArray<string>query

the order hashes.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves a trader's transient spot orders

GET
https://inj.nownodes.io/injective/exchange/v1beta1/spot/transient_orders/{market_id}/{subaccount_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringrequiredpath

Market ID for the market

subaccount_idstringrequiredpath

SubaccountID of the trader

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves the trade reward campaign

GET
https://inj.nownodes.io/injective/exchange/v1beta1/trade_reward_campaign

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves the account and total trade rewards points

GET
https://inj.nownodes.io/injective/exchange/v1beta1/trade_reward_points

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

accountsArray<string>query
pending_pool_timestampstring<int64>query

Response

200OK

A successful response.

default

An unexpected error response.

QueryMarketIDFromVault returns the market ID for a given vault subaccount ID

GET
https://inj.nownodes.io/injective/exchange/v1beta1/vault_market_id/{vault_address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

vault_addressstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Wasmx

Retrieves the entire wasmx module's state

GET
https://inj.nownodes.io/injective/wasmx/v1/module_state

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves wasmx params

GET
https://inj.nownodes.io/injective/wasmx/v1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves contract registration info

GET
https://inj.nownodes.io/injective/wasmx/v1/registration_info/{contract_address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

contract_addressstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Auction

Retrieves current auction basket with current highest bid and bidder

GET
https://inj.nownodes.io/injective/auction/v1beta1/basket

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves the entire auction module's state

GET
https://inj.nownodes.io/injective/auction/v1beta1/module_state

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves auction params

GET
https://inj.nownodes.io/injective/auction/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Oracle

Retrieves the state for all band ibc price feeds

GET
https://inj.nownodes.io/injective/oracle/v1beta1/band_ibc_price_states

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves the state for all band price feeds

GET
https://inj.nownodes.io/injective/oracle/v1beta1/band_price_states

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves the band relayers

GET
https://inj.nownodes.io/injective/oracle/v1beta1/band_relayers

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves the state for all coinbase price feeds

GET
https://inj.nownodes.io/injective/oracle/v1beta1/coinbase_price_states

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves historical price records for a given OracleType and Symbol

GET
https://inj.nownodes.io/injective/oracle/v1beta1/historical_price_records

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

oraclestringUnspecifiedBandPriceFeedCoinbaseChainlinkRazorDiaAPI3UmaPythBandIBCProviderUnspecifiedquery
symbol_idstringquery

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves the entire oracle module's state

GET
https://inj.nownodes.io/injective/oracle/v1beta1/module_state

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves oracle params

GET
https://inj.nownodes.io/injective/oracle/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

GET
https://inj.nownodes.io/injective/oracle/v1beta1/price

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

oracle_typestringUnspecifiedBandPriceFeedCoinbaseChainlinkRazorDiaAPI3UmaPythBandIBCProviderUnspecifiedquery
basestringquery
quotestringquery

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves the state for all price feeds

GET
https://inj.nownodes.io/injective/oracle/v1beta1/pricefeed_price_states

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves the state for all provider price feeds

GET
https://inj.nownodes.io/injective/oracle/v1beta1/provider_price_state/{provider}/{symbol}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

providerstringrequiredpath
symbolstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

GET
https://inj.nownodes.io/injective/oracle/v1beta1/provider_prices

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

providerstringquery

Response

200OK

A successful response.

default

An unexpected error response.

GET
https://inj.nownodes.io/injective/oracle/v1beta1/providers

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

GET
https://inj.nownodes.io/injective/oracle/v1beta1/pyth_price

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

price_idstringquery

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves the state for all pyth price feeds

GET
https://inj.nownodes.io/injective/oracle/v1beta1/pyth_price_states

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves mixed volatility value for the specified pair of base/quote

GET
https://inj.nownodes.io/injective/oracle/v1beta1/volatility

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

base_info.symbolstringquery
base_info.oracle_typestringUnspecifiedBandPriceFeedCoinbaseChainlinkRazorDiaAPI3UmaPythBandIBCProviderUnspecifiedquery
base_info.scale_factorinteger<int64>query
quote_info.symbolstringquery
quote_info.oracle_typestringUnspecifiedBandPriceFeedCoinbaseChainlinkRazorDiaAPI3UmaPythBandIBCProviderUnspecifiedquery
quote_info.scale_factorinteger<int64>query
oracle_history_options.max_agestring<uint64>query

MaxAge restricts the oracle price records oldest age in seconds from the current block time to consider. A value of 0 means use all the records present on the chain.

oracle_history_options.include_raw_historybooleanquery

If IncludeRawHistory is true, the raw underlying data used for the computation is included in the response.

oracle_history_options.include_metadatabooleanquery

If IncludeMetadata is true, metadata on the computation is included in the response.

Response

200OK

A successful response.

default

An unexpected error response.

Insurance

Retrives the value of insurance fund share token at current price (not pending redemption)

GET
https://inj.nownodes.io/injective/insurance/v1beta1/estimated_redemptions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

marketIdstringquery
addressstringquery

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves individual insurance fund information from market id

GET
https://inj.nownodes.io/injective/insurance/v1beta1/insurance_fund/{market_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringrequiredpath

Market ID for the market

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves all insurance funds

GET
https://inj.nownodes.io/injective/insurance/v1beta1/insurance_funds

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves the entire insurance module's state

GET
https://inj.nownodes.io/injective/insurance/v1beta1/module_state

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves insurance params

GET
https://inj.nownodes.io/injective/insurance/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves pending redemptions' share token at current price

GET
https://inj.nownodes.io/injective/insurance/v1beta1/pending_redemptions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

marketIdstringquery
addressstringquery

Response

200OK

A successful response.

default

An unexpected error response.

Tokenfactory

DenomAuthorityMetadata defines a gRPC query method for fetching DenomAuthorityMetadata for a particular denom.

GET
https://inj.nownodes.io/injective/tokenfactory/v1beta1/denoms/{creator}/{sub_denom}/authority_metadata

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

creatorstringrequiredpath
sub_denomstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

DenomsFromCreator defines a gRPC query method for fetching all denominations created by a specific admin/creator.

GET
https://inj.nownodes.io/injective/tokenfactory/v1beta1/denoms_from_creator/{creator}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

creatorstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Retrieves the entire auction module's state

GET
https://inj.nownodes.io/injective/tokenfactory/v1beta1/module_state

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Params defines a gRPC query method that returns the tokenfactory module's parameters.

GET
https://inj.nownodes.io/injective/tokenfactory/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.